1

I'm using VERSION="20.04.1 LTS (Focal Fossa)"

With the command sudo apt-get upgrade

I get this output:

Reading package lists... Done Building dependency tree Reading state information... Done E: The package linux-modules-extra-5.4.0-56-generic needs to be reinstalled, but I can't find an archive for it.

And YES this package was deleted, see https://www.ubuntuupdates.org/package/canonical_kernel_team/bionic/main/base/linux-modules-extra-5.4.0-56-generic

But what to do now? I'm not a linux guru. I've just basic knowlede. I've tried several apt and dpkg command versions but found no solution. I've also read through a lot of postings and faq's.

Do I need to step back to linux-modules-extra-5.4.0-53-generic? (and how to do this?)

Best regards and a happy new year! Sigi

2
  • 1
    Run sudo apt update and try again. – Pilot6 Jan 5 at 20:31
  • Thanks for your reply but this does not solve the problem. This linux-modules version is not available... – rtr0176 Jan 7 at 16:38
0

your issue looks similar to this; try to look at it and adapt for your problem. In the linked post, the problem is with linux-headers package

1
  • Thanks for your reply! I think this can work but where to get the linux-modules version 56? I can find previous version and later ones, but this exact version is not available... ;( – rtr0176 Jan 7 at 16:36

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.